Package com.enonic.xp.node

## Class NodeVersion.Builder

- java.lang.Object
- - com.enonic.xp.node.NodeVersion.Builder

- Enclosing class:
    NodeVersion

      public static final class NodeVersion.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NodeVersion.Builder` | `attachedBinaries​(AttachedBinaries attachedBinaries)` |
    `NodeVersion` | `build()` |
    `NodeVersion.Builder` | `childOrder​(ChildOrder childOrder)` |
    `NodeVersion.Builder` | `data​(PropertyTree data)` |
    `NodeVersion.Builder` | `id​(NodeId id)` |
    `NodeVersion.Builder` | `indexConfigDocument​(IndexConfigDocument indexConfigDocument)` |
    `NodeVersion.Builder` | `inheritPermissions​(boolean inheritPermissions)` |
    `NodeVersion.Builder` | `manualOrderValue​(Long manualOrderValue)` |
    `NodeVersion.Builder` | `nodeType​(NodeType nodeType)` |
    `NodeVersion.Builder` | `permissions​(AccessControlList permissions)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### id

          public NodeVersion.Builder id​(NodeId id)

    - #### nodeType

          public NodeVersion.Builder nodeType​(NodeType nodeType)

    - #### data

          public NodeVersion.Builder data​(PropertyTree data)

    - #### indexConfigDocument

          public NodeVersion.Builder indexConfigDocument​(IndexConfigDocument indexConfigDocument)

    - #### childOrder

          public NodeVersion.Builder childOrder​(ChildOrder childOrder)

    - #### manualOrderValue

          public NodeVersion.Builder manualOrderValue​(Long manualOrderValue)

    - #### permissions

          public NodeVersion.Builder permissions​(AccessControlList permissions)

    - #### inheritPermissions

          public NodeVersion.Builder inheritPermissions​(boolean inheritPermissions)

    - #### attachedBinaries

          public NodeVersion.Builder attachedBinaries​(AttachedBinaries attachedBinaries)

    - #### build

          public NodeVersion build()